<?php
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
/********************************************************/
/* NSN Banner Ads                                       */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright © 2000-2005 by NukeScripts Network         */
/********************************************************/
defined('MAXIMUS') or Header("Location: ../../index.php");

if (is_file('modules/Banner_Ads/includes/functions.php')) {
include_once('modules/Banner_Ads/includes/functions.php');}
bacookiedecode($baclient);
$module_name = "Banner_Ads";
get_lang($module_name);
$index=1;
if(!($op)) { $op = "BAIndex"; }
$ba_config = baget_configs();
switch($op) {
  case "BAClientEdit":include_once("modules/$module_name/public/BAClientEdit.php");break;
  case "BAClientEditSave":include_once("modules/$module_name/public/BAClientEditSave.php");break;
  case "BAClientNew":include_once("modules/$module_name/public/BAClientNew.php");break;
  case "BAClientNewSave":include_once("modules/$module_name/public/BAClientNewSave.php");break;
  case "BAClientPassLost":include_once("modules/$module_name/public/BAClientPassLost.php");break;
  case "BAClientPassMail":include_once("modules/$module_name/public/BAClientPassMail.php");break;
  case "BAClientView":include_once("modules/$module_name/public/BAClientView.php");break;
  case "BAImageEdit":include_once("modules/$module_name/public/BAImageEdit.php");break;
  case "BAImageEditSave":include_once("modules/$module_name/public/BAImageEditSave.php");break;
  case "BAImageList":include_once("modules/$module_name/public/BAImageList.php");break;
  case "BAImageMail":include_once("modules/$module_name/public/BAImageMail.php");break;
  case "BAImageView":include_once("modules/$module_name/public/BAImageView.php");break;
  case "BAIndex":include_once("modules/$module_name/public/BAIndex.php");break;
  case "BAgfx":include_once("modules/$module_name/public/BAgfx.php");break;
  case "BALogin":include_once("modules/$module_name/public/BALogin.php");break;
  case "BALogout":include_once("modules/$module_name/public/BALogout.php");break;
}